Bug 437626

Summary: Review Request: miredo - Implementation of Teredo proposed standard
Product: [Fedora] Fedora Reporter: Stjepan Gros <stjepan.gros>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: cra, cwickert, fedora-package-review, itamar, notting, sgros, tibbs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-22 16:35:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 464429, 465897    
Bug Blocks: 201449    

Description Stjepan Gros 2008-03-15 08:07:20 EDT
Spec URL: http://www.zemris.fer.hr/~sgros/stuff/fedora/miredo/miredo.spec
SRPM URL: http://www.zemris.fer.hr/~sgros/stuff/fedora/miredo/miredo-1.1.5-1.fc8.src.rpm

Description:

Miredo is an Unix daemon program which mostly implements the
“Teredo: Tunneling IPv6 over UDP through NATs” Internet proposed
standard (RFC 4380). It can provide either client or relay
functionality. A separate program, miredo-server is also included in
the package; it consists of a Teredo server.

Miredo can be used to provide IPv6 connectivity to users behind NAT
devices, such as broadband routers. Most of these device do not support
IPv6, and do not allow forwarding of proto-41 (including 6to4).
Comment 1 Stjepan Gros 2008-03-15 08:16:13 EDT
rpmlint gives the following messages for the base package:

miredo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libteredo.so
miredo.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libtun6.so
miredo.x86_64: E: non-executable-script /etc/miredo/miredo.conf 0644

But, as I understand it, dynamic libraries do not belong to development
packages? Also, why is miredo.conf treated as a script when in the spec file
it's explicitly marked as config?

What is missing is init.d script (are there any templates?

Also, there is possibility for this packate to be split into client and server
packages? Should I do it?
Comment 2 Jason Tibbitts 2008-04-05 00:05:37 EDT
A few comments:

When you have versioned libraries like /usr/lib64/libtun6.so.0.1.1, the
unversioned .so file must be in the -devel package.

The non-executable-script complaints happens because the miredo.conf file starts
with the usual interpreter line:
  #! /usr/sbin/miredo -f -c
indicating that it's supposed to be executed, but the file isn't actually
executable.  I don't think this is a big problem, but I don't really understand
why the file starts with that line.

You can find nice guidelines for SysV-style initscripts at
http://fedoraproject.org/wiki/Packaging/SysVInitScript and for examples, just
look in /etc/init.d.

I would definitely advise splitting off a miredo-server package.
Comment 3 Richard Fearn 2008-04-09 15:10:54 EDT
Hi - just changing this so that it blocks FE-NEEDSPONSOR rather than depending
on it.
Comment 4 Charles R. Anderson 2008-10-06 21:20:54 EDT
Spec URL: http://cra.fedorapeople.org/miredo/miredo.spec
SRPM URL: http://cra.fedorapeople.org/miredo/miredo-1.1.5-1.fc9.src.rpm

I missed this Review Request and made my own packages above.  Some differences:

- I have created SysVInitScript files for the three daemons miredo, miredo-server, and isatapd.

- Compiles with Judy.  See Bug #464429 for a review request for that.

- Disabled static libraries from building.

- --enable-miredo-user allows the daemons to setid to the non-root user after initialization.  I also add the user in %pre.

Would you consider the above changes and co-maintainership?

Splitting off miredo-server may make sense.  I'll look into that.
Comment 5 Jason Tibbitts 2008-12-22 15:56:24 EST
Any response from the original submitter?  It's been 2.5 months now, and if there's no further response soon, I'm going to close this ticket and ask Charles to submit his own review request.
Comment 6 Charles R. Anderson 2008-12-22 16:13:12 EST
I have been in contact with Stjepan and he agreed that I could take over the submission of this package.  I was waiting for Judy to be done, which it now is.  Yesterday I was going to mention that I was ready to continue working on this now, but I need to spend more time investigating the various components (miredo, miredo-server, isatapd) to figure out how to best split this package.  It seems that kernels >= 2.6.24 already have built-in ISATAP support.
Comment 7 Jason Tibbitts 2008-12-22 16:35:56 EST
I'm going to go ahead and close this, since Stjepan won't be the submitter and he probably doesn't want to be spammed with the review commentary from here on out.  Please go ahead and open your own review ticket when you have a package ready for review.
Comment 8 Christoph Wickert 2009-06-28 07:19:05 EDT

*** This bug has been marked as a duplicate of bug 508523 ***